# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with bootstrap
%bcond_with gcj_support
%bcond_without repolib

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define repodir %{_javadir}/repository.jboss.com/dom4j/1.6.1-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src
%define section free

# FIXME: (dwalluck): Requires jpp17 bootstrap for jtidy
Name:           dom4j
Version:        1.6.1
Release:	    10.4.7%{?dist}
Epoch:          0
Summary:        DOM4J
License:        BSD
URL:            http://www.dom4j.org/
Group:          Text Processing/Markup/XML
Source0:        http://downloads.sourceforge.net/project/dom4j/dom4j/1.6.1/dom4j-1.6.1.tar.gz
Source1:        dom4j_rundemo.sh
Source2:        dom4j-build.xml
Source3:        http://repo1.maven.org/maven2/dom4j/dom4j/1.6.1/dom4j-1.6.1.pom
Source4:        dom4j-1.6.1-component-info.xml
# http://repository.jboss.com/jboss/dom4j-jarjar/1.6.1/build/build.xml
Source5:        dom4j-jarjar-build.xml
Source6:        dom4j-jarjar-component-info.xml
Source7:        dom4j-upload.sh
Source8:        dom4j-jarjar-upload.sh
Source9:        dom4j-jarjar.pom
Patch0:         dom4j-1.6.1-build_xml.patch
Patch1:         dom4j-1.6.1-bug1618750.patch
Patch2:         dom4j-1.6.1-endorsed-dir.patch
Patch3:         dom4j-jdk6.patch
Patch4:		    dom4j-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  jarjar
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  junit
BuildRequires:  ant-junit
BuildRequires:  ant-trax
BuildRequires:  ant-apache-resolver
BuildRequires:  jtidy
BuildRequires:  junitperf
BuildRequires:  isorelax
#BuildRequires: jaxen-bootstrap >= 0:1.1-0.b7
%if %with bootstrap
BuildRequires:  jaxen-bootstrap >= 0:1.1-1
%else
#BuildRequires:  jaxen >= 0:1.1-2
BuildRequires:  jaxen
%endif
BuildRequires:  msv-msv
BuildRequires:  relaxngDatatype
BuildRequires:  stax_1_0_api
BuildRequires:  ws-jaxme
BuildRequires:  xalan-j2 >= 0:2.7
BuildRequires:  xerces-j2
BuildRequires:  jaxp = 1.2
BuildRequires:  xpp2
BuildRequires:  xpp3
BuildRequires:  msv-xsdlib

BuildRequires:	maven2
BuildRequires:  maven-deploy-plugin

Requires:       java >= 0:1.5.0
#Requires:       xpp2 #Not in pom
#Requires:       xpp3 #Optional in pom
#Requires:       xerces-j2 #Scope test
#Requires:       msv-msv #Optional in pom
#Requires:       msv-xsdlib #Optional in pom
#Requires:       relaxngDatatype #Optional in pom
#Requires:       isorelax #Not in pom
%if %with bootstrap
Requires:       jaxen-bootstrap >= 0:1.1-1
%else
#Requires:  jaxen >= 0:1.1-2
#Requires:       jaxen #Optional in pom
%endif
#Requires:       stax_1_0_api #Optional in pom
#Requires:       ws-jaxme #Optional in pom
#Requires:       xalan-j2 #Scope test
Requires:       jaxp = 1.2
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
dom4j is an Open Source XML framework for Java. dom4j allows you to read,
write, navigate, create and modify XML documents. dom4j integrates with 
DOM and SAX and is seamlessly integrated with full XPath support. 

Note: To use the msv JARV factory (com.sun.msv.verifier.jarv.TheFactoryImpl)
make sure isorelax.jar (from the 'isorelax' RPM) is in the ClassPath.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package jarjar
Summary:        JarJar of %{name} for JBoss
Group:          Text Processing/Markup/XML

%description jarjar
A jarjard version of dom4j that moves the classes to the
org.jboss.dom4j package space and strips the following packages:

   org.dom4j.jaxb.*
   org.dom4j.swing.*
   org.dom4j.xpath.*
   org.dom4j.xpp.*

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       dom4j = %{epoch}:%{version}-%{release}

%description demo
Samples for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
# replace run.sh
cp %{SOURCE1} run.sh
cp %{SOURCE2} build.xml
# remove binary libs
find . -name "*.jar" -exec rm -f {} \;
#for j in $(find . -name "*.jar"); do 
#    mv $j $j.no
#done
# function matrix-concat not available
rm -f src/test/org/dom4j/xpath/MatrixConcatTest.java
# won't succeed in headless environment
rm src/test/org/dom4j/bean/BeansTest.java
# FIXME Bug in Xalan 2.6 -- reactivate with Xalan 2.7
#rm src/test/org/dom4j/XPathExamplesTest.java
# fix for deleted jars
mv build.xml build.xml.orig
sed -e '/unjar/d' -e 's|,cookbook/\*\*,|,|' build.xml.orig > build.xml
# FIXME: (yyang): failed in JDK6
rm -f src/test/org/dom4j/ThreadingTest.java
# FIXME: (yyang): failed in JDK6, maybe failed to load russArticle.xml because it's russian encoding
rm -f src/test/org/dom4j/io/StaxTest.java

%patch0 -p0 -b .sav
%patch1 -p1
%if 0
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p0

perl -pi -e 's/\r//g' LICENSE.txt docs/clover/*.css docs/style/*.css docs/xref/*.css docs/xref-test/*.css src/doc/style/*.css docs/benchmarks/xpath/*.java

# jarjar
cp -p %{SOURCE5} dom4j-jarjar-build.xml

pushd lib
ln -sf $(build-classpath xpp2)
ln -sf $(build-classpath relaxngDatatype)
pushd endorsed
ln -sf $(build-classpath jaxp12) 
popd
ln -sf $(build-classpath jaxme/jaxmeapi) 
ln -sf $(build-classpath msv-xsdlib) 
ln -sf $(build-classpath msv-msv) 
ln -sf $(build-classpath jaxen) 
ln -sf $(build-classpath stax_1_0_api) 
pushd test
ln -sf $(build-classpath stax_1_0_api) 
ln -sf $(build-classpath junitperf) 
ln -sf $(build-classpath junit) 
popd
ln -sf $(build-classpath xpp3) 
pushd tools
ln -sf $(build-classpath jaxme/jaxmexs) 
ln -sf $(build-classpath xalan-j2) 
ln -sf $(build-classpath xalan-j2-serializer) 
ln -sf $(build-classpath jaxme/jaxmejs) 
ln -sf $(build-classpath jtidy) 
ln -sf $(build-classpath isorelax) 
ln -sf $(build-classpath jaxme/jaxme2) 
ln -sf $(build-classpath xerces-j2) 
popd
popd

%build
export CLASSPATH=
export OPT_JAR_LIST="junit ant/ant-junit"
ant all samples test

# jarjar
cp -p build/dom4j.jar dom4j-1.6.1.jar
export CLASSPATH=$(build-classpath jarjar)
export OPT_JAR_LIST=:
ant -f dom4j-jarjar-build.xml
rm dom4j-1.6.1.jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
cp -p build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# jarjar
cp -p output/dom4j-jarjar.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-jarjar-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-%{name}.pom

%add_to_maven_depmap %{name} %{name}-jarjar %{version} JPP %{name}-jarjar
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-%{name}-jarjar.pom

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -rf docs/apidocs
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/classes/org/dom4j
cp -pr xml $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/src
cp -pr src/samples $RPM_BUILD_ROOT%{_datadir}/%{name}/src
cp -pr build/classes/org/dom4j/samples $RPM_BUILD_ROOT%{_datadir}/%{name}/classes/org/dom4j
install -m 0755 run.sh $RPM_BUILD_ROOT%{_datadir}/%{name}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i "s/@VERSION@/%{version}-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE4} $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_javadir}/dom4j-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/dom4j.jar

cp -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom %{buildroot}%{repodirlib}/%{name}.pom

%{__install} -p -m 755 %{SOURCE7} %{buildroot}%{repodir}/upload.sh
pushd %{buildroot}%{repodir}
./upload.sh %{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/
popd

# jarjar
%define repodir %{_javadir}/repository.jboss.com/dom4j-jarjar/1.6.1-brew
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -p -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i "s/@VERSION@/%{version}-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-jarjar-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/dom4j-jarjar.jar

cp -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-jarjar.pom %{buildroot}%{repodirlib}/%{name}-jarjar.pom

%{__install} -p -m 755 %{SOURCE8} %{buildroot}%{repodir}/upload.sh
pushd %{buildroot}%{repodir}
./upload.sh %{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/
popd

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{version}.jar
%{_datadir}/maven2/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files jarjar
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-jarjar.jar
%{_javadir}*/%{name}-jarjar-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files demo
%defattr(-,root,root,0755)
%{_datadir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*/repository.jboss.com
%{_javadir}*/repository.jboss.com/*
%endif

%changelog
* Thu Mar 03 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.6.1-10.4.7
- Update R: as some deps are indicated as optional or scope test in pom

* Mon Jan 17 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.6
- Combine dom4j-jarjar-repolib to dom4j-repolib

* Mon Jan 17 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.5
- Bump release number

* Mon Jan 17 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.4
- Rebuild for MEAD upload

* Mon Nov 22 2010 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.3
- Add dom4j-jarjar
- Use upload.sh

* Mon Nov 15 2010 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.2
- Rebuild with maven 2.2.1
- Add BR maven2, maven-deploy-plugin
- Add mvn deploy script to repolib
- Fix source0

* Mon Jun 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.1-10.4.1
- Fix Release tag

* Fri May 14 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.1-10.3.1.1
- rebuilt

* Tue Apr 20 2010 Hui Wang <huwang@redhat.com> 0:1.6.1-10.3.1
- Rebuild generate signed jar

* Thu Feb 25 2010 David Walluck <dwalluck@redhat.com> 0:1.6.1-10.3
- use stax_1_0_api
- fix gcj_support and repolib options

* Mon Jul 20 2009 Martha Benitez <mbenitez@redhat.com> 1.6.1-10.2
- Add patch to include version in jar's manifest
- Correct component-info source in repolib

* Thu Jun 11 2009 Martha Benitez <mbenitez@redhat.com> 1.6.1-10.1
- Change jpackage-utils >= 0:1.7.4 to jpackage-utils >= 0:1.7.3
- Relax version requirement for jaxen

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.6.1-10
- Auto rebuild for JPackage 5 in mock

* Tue Sep 02 2008 David Walluck <dwalluck@redhat.com> 0:1.6.1-9
- fix dom4j and dom4j-jarjar component-info.xml files

* Fri Aug 21 2008 David Walluck <dwalluck@redhat.com> 0:1.6.1-8
- create dom4j-jar jar for use with jbossas
- add jdk6 patch from yyang
- GCJ fixes

* Fri Jun 27 2008 David Walluck <dwalluck@redhat.com> 0:1.6.1-7
- replace xml-commons-jaxp-1.2-apis with jaxp = 1.2 as Fedora workaround

* Thu May 29 2008 Permaine Cheung <pcheung@redhat.com> 0:1.6.1-6
- First JPP 5 build

* Mon Apr 14 2008 David Walluck <dwalluck@redhat.com> 0:1.6.1-2jpp.ep1.3
- patch for jdk 1.5 support by setting java.endorsed.dir
- explicitly build with xml-commons-jaxp-1.2-apis
- patch for dom4j bug #1618750
- add xalan-j2-serializer for build
- unset CLASSPATH and OPT_JAR_LIST
- remove javadoc scriptlets

* Wed Mar 05 2008 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-5jpp
- Build with java5 for java5
- Introduce endorsed dir compiler arg from build.xml in HEAD
- Add xalan-j2-serializer to tools lib
- Specify xml-apis as xml-commons-jaxp-1.1-apis
- Add pom and depmap frag
- Make Vendor, Distribution based on macro

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.6.1-2jpp.ep1.2
- Fix repolib location

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-2jpp.ep1.1
- Rebuild

* Thu Mar 08 2007 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-2jpp.el4ep1.3
- Make isorelax (JARV) optional
- Reactivate test that used to fail with xalan 2.6 and require xalan-j2 2.7
- Disable tested that passed with xalan 2.6 and now fails with xalan 2.7

* Wed Feb 21 2007 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-4jpp
- Add bootstrap option to build against jaxen-bootstrap
- Drop org/dom4j/xpath/MatrixConcatTest.java: matrix-concat not
  available

* Mon Feb 19 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.6.1-2jpp.el4ep1.2
- Add -brew suffix

* Fri Feb 16 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.6.1-2jpp.el4ep1.1
- Add repolib support

* Mon Feb 12 2007 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-3jpp
- Add gcj_support option

* Sun Feb 26 2006 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-2jpp_1rh
- Merge with upstream
- Remove one of the tests until Xalan is upgraded (bug in 2.6)

* Mon Jan 30 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-2jpp
- Change STAX dependency to free bea-stax and bea-stax-api

* Wed Aug 17 2005 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-1jpp
- Upgrade to 1.6.1
- Now requires xpp3 additionally to xpp2

* Wed Apr 27 2005 Fernando Nasser <fnasser@redhat.com> 0:1.5-1jpp_1rh
- First Red Hat build

* Thu Sep 09 2004 Ralph Apel <r.apel@r-apel.de> - 0:1.5-1jpp
- Upgrade to 1.5
- Drop saxpath requirement as this is now included in jaxen

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.4-3jpp
- Upgrade to Ant 1.6.X
- Build with ant-1.6.2

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.4-2jpp
- Replace non-free msv with free relaxngDatatype xsdlib isorelax msv-strict
- Relax some versioned dependencies

* Mon Jan 19 2004 Ralph Apel <r.apel@r-apel.de> - 0:1.4-1jpp
- First JPackage release
